/*
 * Turnstile.java
 *
 * Modified on 3. 12. 2008
 */
package cz.muni.fi.pb162.traffic.turnstiles;

import cz.muni.fi.pb162.traffic.network.Stop;

/**
 * Turnstile controlling enter to/ exit from transport area.
 * @author misko
 */
final class Turnstile {

    /**
     * Creates new instance of turnstile, sets attribute values
     * @param serialNumber serial nubmer of the turnstile
     * @param station station where the turnstile is
     */
    Turnstile(String serialNumber, Stop station) {
    }

    /**
     * Moves the turnstile between stops
     * @param newStop new stop to move
     */
    void changeStop(Stop newStop) {
    }

    /**
     * Checks in a ticket
     * @param ticketId id of ticket checked in
     * @return <code>true</code> if the ticket is accepted, <code>false</code>otherwise
     */
    boolean checkIn(int ticketId) {
        return false;
    }

    /**
     * Checks out a ticket, subtracts credit equivalent to number of stations traweled through
     * @param ticketId if of ticket checked out
     */
    void checkOut(int ticketId) {
    }

    @Override
    public String toString() {
        return null;
    }
}
