/*
 * Tickets.java
 *
 * Modified on 26. 11. 2008
 *
 */

package cz.muni.fi.pb162.traffic.tickets;

/**
 * Contains all tickets in the system. Follows the singleton design pattern
 * @author misko
 */
public class Tickets {
    
    private Tickets(){
    }
    
    /**
     * Gives the single instance of this class
     * @return singleton
     */
    public static Tickets getInstance() {
        return null;
    }
    
    /**
     * Creates a new ticket
     * @param credit initial credit on the ticket
     * @return created ticket
     */
    public Ticket newTicket(int credit) {
        return null;
    }
    
    /**
     * Returns ticket identified by it's id
     * @param id id of the ticket
     * @return ticket with specified id
     * @throws IllegalArgumentException if the ticket with specified id is not known
     */
    public Ticket getTicket(int id) {
        return null;
    }
    
}