/*
 * Dispatcher.java
 *
 * Modified on 3. 12. 2008
 *
 */

package cz.muni.fi.pb162.traffic.turnstiles;

/**
 * Dispather recieving information from turnstiles and handling people going throw
 * @author misko
 */
public class Dispatcher {
    
    
    /** Creates a new instance of Dispatcher */
    private Dispatcher() {
    }
    
    
    /**
     * Gives the dispathcer. Implements the singleton design pattern -- only one dispatcher is to work with
     * @return turnstiles dispatcher
     */
    public static Dispatcher getInstance() {
        return null;
    }
    
    /**
     * Method dispatching one person going throw a turnstile.
     * Decides whether the person is allowed to enter the transport area or modifies her/his credit according to traveled distance when leaving the transport area
     * @param turnstile serial number of the dispatched turnstile
     * @param ticket id of the dispatched ticket
     * @param enter <CODE>true</CODE> if the person is entering the transport area,
     * <CODE>false</CODE> otherwise
     * @return <CODE>true</CODE> if the person is allowed to pass,<br/>
     * <CODE>false</CODE> otherwise
     */
    public boolean dispatch(String turnstile, int ticket, boolean enter) {
        return false;
    }
}
