/*
 * World.java
 *
 * Created on Streda, 2007, november 21, 19:21
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.muni.fi.pb162.traffic.common;

import cz.muni.fi.pb162.traffic.network.Line;
import cz.muni.fi.pb162.traffic.network.Network;
import cz.muni.fi.pb162.traffic.network.Stop;
import cz.muni.fi.pb162.traffic.tickets.Tickets;
//import cz.muni.fi.pb162.traffic.turnstiles.Dispatcher;
//import cz.muni.fi.pb162.traffic.turnstiles.Turnstiles;

/**
 *
 * @author misko
 */
public class World {
    
    Network network = Network.getInstance();
    Tickets tickets = Tickets.getInstance();
//    Turnstiles turnstiles = Turnstiles.getInstance();
    
    /** Creates a new instance of World */
    
    public void createWorld(){
        createNetwork();
//        createTurnstiles();
//        createTickets();
    }
    
    private void createNetwork() {
        
        Stop a = new Stop("a");
        Stop b = new Stop("b");
        Stop c = new Stop("c");
        Stop d = new Stop("d");
        Stop e = new Stop("e");
        Stop f = new Stop("f");
        
        Stop k = new Stop("k");
        Stop l = new Stop("l");
        Stop m = new Stop("m");
        Stop n = new Stop("n");
        Stop o = new Stop("o");
        
        Stop p = new Stop("p");
        Stop q = new Stop("q");
        Stop r = new Stop("r");
        Stop s = new Stop("s");
        Stop t = new Stop("t");
        Stop u = new Stop("u");
        Stop v = new Stop("v");

        Stop x = new Stop("x");
        Stop y = new Stop("y");
        Stop z = new Stop("z");

        
        Line lineA = new Line("A",false);
        Line lineB = new Line("B",false);
        Line lineC = new Line("C",false);
        Line lineD = new Line("D",true);
        
        lineA.addStop(a);
        lineA.addStop(b);
        lineA.addStop(c);
        lineA.addStop(d);
        lineA.addStop(e);
        lineA.addStop(f);
        
        lineB.addStop(k);
        lineB.addStop(l);
        lineB.addStop(m);
        lineB.addStop(c);
        lineB.addStop(n);
        lineB.addStop(o);
        
        lineC.addStop(c);
        lineC.addStop(x);
        lineC.addStop(y);
        lineC.addStop(z);

        lineD.addStop(p);
        lineD.addStop(q);
        lineD.addStop(l);
        lineD.addStop(r);
        lineD.addStop(y);
        lineD.addStop(s);
        lineD.addStop(t);
        lineD.addStop(e);
        lineD.addStop(u);
        lineD.addStop(n);
        lineD.addStop(v);
        lineD.addStop(b);
        
        network.addLine(lineA);
        network.addLine(lineB);
        network.addLine(lineC);
        network.addLine(lineD);
    }
    
    private void createTickets() {
        tickets.newTicket(10);
        tickets.newTicket(5);
        tickets.newTicket(1);
    }
    
//    private void createTurnstiles() {
//        turnstiles.addOrMoveTurnstile("0041",new Stop("a"));
//        turnstiles.addOrMoveTurnstile("0101",new Stop("a"));
//        turnstiles.addOrMoveTurnstile("1231",new Stop("c"));
//        turnstiles.addOrMoveTurnstile("a78f",new Stop("d"));
//        turnstiles.addOrMoveTurnstile("1747",new Stop("e"));
//        
//        turnstiles.addOrMoveTurnstile("7z7z",new Stop("b"));
//        turnstiles.addOrMoveTurnstile("6828",new Stop("x"));
//        turnstiles.addOrMoveTurnstile("1314",new Stop("m"));
//        turnstiles.addOrMoveTurnstile("ahoj",new Stop("n"));
//        turnstiles.addOrMoveTurnstile("java",new Stop("l"));
//        turnstiles.addOrMoveTurnstile("hash",new Stop("k"));
//        turnstiles.addOrMoveTurnstile("/15/16",new Stop("y"));
//    }

    public void destroyWorld() {
        network.reset();
//        tickets.reset();
//        turnstiles.reset();
    }

    public Network getNetwork() {
        return network;
    }

//    public Dispatcher getDispatcher() {
//        return Dispatcher.getInstance();
//    }

    public Tickets getTickets() {
        return tickets;
    }

//    public Turnstiles getTurnstiles() {
//        return turnstiles;
//    }

}
