///*
// * DispatcherTest.java
// * JUnit based test
// *
// * Created on Streda, 2007, november 21, 19:39
// */
//
//package cz.muni.fi.pb162.traffic.turnstiles;
//
//import cz.muni.fi.pb162.traffic.common.World;
//import junit.framework.TestCase;
//
///**
// *
// * @author misko
// */
//public class DispatcherTest extends TestCase {
//    
//    World world = new World();
//    
//    public DispatcherTest(String testName) {
//        super(testName);
//    }
//    
//    protected void setUp() throws Exception {
//        world.createWorld();
//    }
//    
//    protected void tearDown() throws Exception {
//        world.destroyWorld();
//    }
//    /**
//     * Test of dispatch method, of class cz.muni.fi.pb162.traffic.turnstiles.Dispatcher.
//     */
//    public void testDispatch() {
//        Dispatcher dispatcher = world.getDispatcher();
//        assertTrue(dispatcher.dispatch("0041",1,true));
//        assertTrue(dispatcher.dispatch("a78f",1,false));
//        assertEquals(2,world.getTickets().getTicket(1).getCredit());
//        assertTrue(dispatcher.dispatch("1747",1,true));
//        assertTrue(dispatcher.dispatch("1231",1,false));
//        assertEquals(0,world.getTickets().getTicket(1).getCredit());
//        assertFalse(dispatcher.dispatch("0101",1,true));
//        
//        assertTrue(dispatcher.dispatch("ahoj",0,true));
//        assertTrue(dispatcher.dispatch("1747",0,false));
//        assertEquals(7,world.getTickets().getTicket(0).getCredit());
//        assertTrue(dispatcher.dispatch("1747",0,true));
//        assertTrue(dispatcher.dispatch("hash",0,false));
//        assertEquals(3,world.getTickets().getTicket(0).getCredit());
//        assertTrue(dispatcher.dispatch("0101",0,true));
//        assertTrue(dispatcher.dispatch("1747",0,false));
//        assertEquals(-1,world.getTickets().getTicket(0).getCredit());
//        assertFalse(dispatcher.dispatch("1231",0,true));
//        
//        assertTrue(dispatcher.dispatch("hash",2,true));
//        assertTrue(dispatcher.dispatch("/15/16",2,false));
//        assertEquals(-3,world.getTickets().getTicket(2).getCredit());
//        assertFalse(dispatcher.dispatch("a78f",2,true));
//    }
//    
//    
//    public void testDispatchMixed() {
//        Dispatcher dispatcher = world.getDispatcher();
//        
//        assertTrue(dispatcher.dispatch("0041",1,true));
//        assertTrue(dispatcher.dispatch("ahoj",0,true));
//        assertTrue(dispatcher.dispatch("1747",0,false));
//        assertTrue(dispatcher.dispatch("a78f",1,false));
//        assertEquals(2,world.getTickets().getTicket(1).getCredit());
//        assertTrue(dispatcher.dispatch("1747",1,true));
//        assertEquals(7,world.getTickets().getTicket(0).getCredit());
//        assertTrue(dispatcher.dispatch("1747",0,true));
//        assertTrue(dispatcher.dispatch("hash",2,true));
//        assertTrue(dispatcher.dispatch("hash",0,false));
//        assertEquals(3,world.getTickets().getTicket(0).getCredit());
//        assertTrue(dispatcher.dispatch("1231",1,false));
//        assertTrue(dispatcher.dispatch("0101",0,true));
//        assertTrue(dispatcher.dispatch("/15/16",2,false));
//        assertEquals(-3,world.getTickets().getTicket(2).getCredit());
//        assertTrue(dispatcher.dispatch("1747",0,false));
//        assertEquals(0,world.getTickets().getTicket(1).getCredit());
//        assertFalse(dispatcher.dispatch("a78f",2,true));
//        assertFalse(dispatcher.dispatch("0101",1,true));
//        assertEquals(-1,world.getTickets().getTicket(0).getCredit());
//        assertFalse(dispatcher.dispatch("1231",0,true));
//        
//    }
//    
//    public void testCreditBuying(){
//        Dispatcher dispatcher = world.getDispatcher();
//        
//        assertTrue(dispatcher.dispatch("hash",2,true));
//        assertTrue(dispatcher.dispatch("/15/16",2,false));
//        assertEquals(-3,world.getTickets().getTicket(2).getCredit());
//        assertFalse(dispatcher.dispatch("a78f",2,true));
//        
//        world.getTickets().getTicket(2).addCredit(5);
//        assertEquals(2,world.getTickets().getTicket(2).getCredit());
//        assertTrue(dispatcher.dispatch("hash",2,true));
//        assertTrue(dispatcher.dispatch("1231",2,false));
//        assertEquals(0,world.getTickets().getTicket(2).getCredit());
//        assertFalse(dispatcher.dispatch("a78f",2,true));
//        
//        
//    }
//    
//
//    
//    
//    
//    
//    
//    
//}
